package pps.core.common.utils;

import org.apache.commons.lang3.StringUtils;
import pps.core.common.entity.BaseModel;
import pps.core.common.session.PpsUserSession;

import java.util.Date;

/**
 * 封装工具类
 *
 * @author ZWT
 * @date 2023/08/25 16:08
 */
public class BaseUtils {

    /**
     * 设置实体默认值
     *
     * @param model   实体
     * @param session 会话
     */
    public static void setBaseModelDefault(BaseModel model, PpsUserSession session) {
        String id = model.getId();
        Date now = new Date();
        String userId = session.getId();
        String userName = session.getUserName();
        if (StringUtils.isEmpty(id)) {
            model.setCreateById(userId);
            model.setCreateByName(userName);
            model.setCreateTime(now);
        }
        model.setModifyById(userId);
        model.setModifyByName(userName);
        model.setModifyTime(now);
    }
}